For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList products
      • POSTCreate a product
      • GETGet product by ID
      • PUTUpdate product (full)
      • DELDelete product
      • PATCHUpdate product (partial)
Calculator
LogoLogo
EndpointsProducts

List products

GET
https://api.finput.com.au/api/v1/products
GET
/api/v1/products
$curl https://api.finput.com.au/api/v1/products \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": 1,
4 "product_name": "product_name",
5 "organisation_id": 1,
6 "min_range": 1,
7 "max_range": 1,
8 "min_amount": 1.1,
9 "max_amount": 1.1,
10 "min_abn_age": 1,
11 "max_abn_age": 1,
12 "min_asset_age": 1,
13 "max_asset_age": 1,
14 "min_gst_age": 1,
15 "max_gst_age": 1,
16 "min_asset_age_plus_term": 1,
17 "max_asset_age_plus_term": 1,
18 "min_credit_score": 1,
19 "max_credit_score": 1,
20 "monthly_fee": 1.1,
21 "documentation_fee": 1.1,
22 "brokerage_cap": 1.1,
23 "maximum_brokerage_limit": 1.1,
24 "compounding_frequency": "w",
25 "brokerage_loading_treatment": 1.1,
26 "max_origination_fee_limit": 1.1,
27 "doc_fee_financed": "yes",
28 "private_sale": "yes",
29 "sale_hire_back": "yes",
30 "home_owner": "yes",
31 "created_at": "2024-01-15T09:30:00Z",
32 "updated_at": "2024-01-15T09:30:00Z"
33 }
34]
Returns all products, optionally filtered by organisation.
Was this page helpful?
Previous

Create a product

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

organisation_idintegerOptional
Filter products by organisation ID

Response

List of products
idinteger
product_namestring
organisation_idinteger
ID of the owning organisation
min_rangeinteger

Minimum loan term (months)

max_rangeinteger

Maximum loan term (months)

min_amountdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Minimum loan amount ($)

max_amountdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Maximum loan amount ($)

min_abn_ageinteger

Minimum ABN age (months)

max_abn_ageinteger
min_asset_ageinteger

Minimum asset age (months)

max_asset_ageinteger
min_gst_ageinteger

Minimum GST registration age (months)

max_gst_ageinteger
min_asset_age_plus_terminteger
max_asset_age_plus_terminteger
min_credit_scoreinteger
max_credit_scoreinteger
monthly_feedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
documentation_feedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
brokerage_capdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
Maximum brokerage percentage
maximum_brokerage_limitdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
Maximum brokerage dollar amount
compounding_frequencyenum

Compounding frequency:

  • w - Weekly
  • m - Monthly
  • q - Quarterly
  • y - Yearly
Allowed values:
brokerage_loading_treatmentdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_origination_fee_limitdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
doc_fee_financedenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
private_saleenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
sale_hire_backenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
home_ownerenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z